# Search products

<mark style="color:green;">`GET`</mark> `https://app.ecwid.com/api/v3/{storeId}/products`&#x20;

<details>

<summary>Request and response example</summary>

Request:

```http
GET /api/v3/1003/products HTTP/1.1
Authorization: Bearer secret_token
Host: app.ecwid.com
```

Response:

```json
{
  "total": 2,
  "count": 2,
  "offset": 0,
  "limit": 100,
  "items": [
    {
      "id": 692730761,
      "sku": "123123",
      "thumbnailUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4519591923.jpg",
      "unlimited": true,
      "inStock": true,
      "name": "Toys",
      "nameTranslated": {
        "cs": "",
        "en": "Toys"
      },
      "price": 10,
      "priceInProductList": 10,
      "defaultDisplayedPrice": 10,
      "defaultDisplayedPriceFormatted": "€10,00",
      "tax": {
        "taxable": true,
        "defaultLocationIncludedTaxRate": 10,
        "enabledManualTaxes": [
          947976181
        ],
        "taxClassCode": "default"
      },
      "lowestPrice": 10,
      "defaultDisplayedLowestPrice": 10,
      "defaultDisplayedLowestPriceFormatted": "€10,00",
      "lowestPriceSettings": {
        "lowestPriceEnabled": true
      },
      "isShippingRequired": false,
      "hasFreeShipping": false,
      "url": "https://store1003.company.site/products/toys",
      "autogeneratedSlug": "toys-692730761",
      "customSlug": "",
      "created": "2024-09-04 07:20:11 +0000",
      "updated": "2024-09-04 07:20:12 +0000",
      "createTimestamp": 1725434411,
      "updateTimestamp": 1725434412,
      "productClassId": 0,
      "enabled": true,
      "options": [],
      "warningLimit": 1,
      "fixedShippingRateOnly": false,
      "fixedShippingRate": 0,
      "shipping": {
        "type": "GLOBAL_METHODS",
        "methodMarkup": 0,
        "flatRate": 0,
        "disabledMethods": [],
        "enabledMethods": []
      },
      "defaultCombinationId": 0,
      "imageUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4519591921.jpg",
      "smallThumbnailUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4519591920.jpg",
      "hdThumbnailUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4519591922.jpg",
      "originalImageUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4519591919.jpg",
      "originalImage": {
        "url": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4519591919.jpg",
        "width": 225,
        "height": 225
      },
      "borderInfo": {
        "dominatingColor": {
          "red": 255,
          "green": 255,
          "blue": 255,
          "alpha": 255
        },
        "homogeneity": true
      },
      "description": "",
      "descriptionTranslated": {
        "cs": "",
        "en": ""
      },
      "galleryImages": [],
      "media": {
        "images": [
          {
            "id": "0",
            "isMain": true,
            "orderBy": 0,
            "image160pxUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4519591920.jpg",
            "image400pxUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4519591923.jpg",
            "image800pxUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4519591922.jpg",
            "image1500pxUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4519591921.jpg",
            "imageOriginalUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4519591919.jpg",
            "alt": {
              "translated": {}
            }
          }
        ],
        "videos": []
      },
      "categoryIds": [],
      "categories": [],
      "defaultCategoryId": 0,
      "seoTitle": "Toys",
      "seoTitleTranslated": {
        "cs": "",
        "en": "Toys"
      },
      "seoDescription": "",
      "seoDescriptionTranslated": {
        "cs": "",
        "en": ""
      },
      "favorites": {
        "count": 0,
        "displayedCount": "0"
      },
      "attributes": [],
      "files": [
        {
          "id": 96178524,
          "name": "image.jpeg",
          "description": "",
          "size": 12006,
          "adminUrl": "https://app.ecwid.com/api/v3/1003/products/692730761/files/96178524"
        }
      ],
      "relatedProducts": {
        "productIds": [],
        "relatedCategory": {
          "enabled": false,
          "categoryId": 0,
          "productCount": 5
        }
      },
      "combinations": [],
      "dimensions": {
        "length": 0,
        "width": 0,
        "height": 0
      },
      "shippingPreparationTime": {},
      "showDeliveryTimeInStorefront": false,
      "volume": 0,
      "showOnFrontpage": 11,
      "isSampleProduct": false,
      "googleItemCondition": "NEW",
      "isGiftCard": false,
      "discountsAllowed": true,
      "nameYourPriceEnabled": false,
      "subscriptionSettings": {
        "subscriptionAllowed": false,
        "oneTimePurchaseAllowed": true,
        "recurringChargeSettings": [
          {
            "recurringInterval": "MONTH",
            "recurringIntervalCount": 1
          }
        ]
      },
      "googleProductCategory": 412,
      "googleProductCategoryName": "Food, Beverages & Tobacco",
      "productCondition": "NEW",
      "outOfStockVisibilityBehaviour": "SHOW"
    },
    {
      "id": 689454040,
      "sku": "00001",
      "thumbnailUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4493679704.jpg",
      "unlimited": true,
      "inStock": true,
      "name": "Best Pizza",
      "nameTranslated": {
        "cs": "",
        "en": "Best Pizza"
      },
      "price": 50,
      "priceInProductList": 50,
      "defaultDisplayedPrice": 50,
      "defaultDisplayedPriceFormatted": "€50,00",
      "tax": {
        "taxable": true,
        "defaultLocationIncludedTaxRate": 10,
        "enabledManualTaxes": [
          947976181
        ],
        "taxClassCode": "default"
      },
      "lowestPrice": 50,
      "defaultDisplayedLowestPrice": 50,
      "defaultDisplayedLowestPriceFormatted": "€50,00",
      "lowestPriceSettings": {
        "lowestPriceEnabled": true
      },
      "compareToPrice": 40,
      "compareToPriceFormatted": "€40,00",
      "compareToPriceDiscount": -10,
      "compareToPriceDiscountFormatted": "€-10,00",
      "compareToPriceDiscountPercent": -25,
      "compareToPriceDiscountPercentFormatted": "",
      "defaultDisplayedCompareToPrice": 40,
      "defaultDisplayedCompareToPriceFormatted": "€40,00",
      "defaultDisplayedCompareToPriceDiscount": -10,
      "defaultDisplayedCompareToPriceDiscountFormatted": "€-10,00",
      "defaultDisplayedCompareToPriceDiscountPercent": -25,
      "defaultDisplayedCompareToPriceDiscountPercentFormatted": "",
      "isShippingRequired": true,
      "hasFreeShipping": false,
      "weight": 0.5,
      "url": "https://store1003.company.site/products/pizza",
      "autogeneratedSlug": "pizza-689454040",
      "customSlug": "pizza",
      "created": "2024-08-19 08:49:01 +0000",
      "updated": "2024-09-05 07:58:07 +0000",
      "createTimestamp": 1724057341,
      "updateTimestamp": 1725523087,
      "productClassId": 0,
      "enabled": true,
      "options": [
        {
          "type": "RADIO",
          "name": "Size",
          "nameTranslated": {
            "cs": "",
            "en": "Size"
          },
          "choices": [
            {
              "text": "24",
              "textTranslated": {
                "cs": "",
                "en": "24"
              },
              "priceModifier": 0,
              "priceModifierType": "ABSOLUTE"
            },
            {
              "text": "28",
              "textTranslated": {
                "cs": "",
                "en": "28"
              },
              "priceModifier": 10,
              "priceModifierType": "ABSOLUTE"
            },
            {
              "text": "32",
              "textTranslated": {
                "cs": "",
                "en": "32"
              },
              "priceModifier": 20,
              "priceModifierType": "ABSOLUTE"
            }
          ],
          "required": true
        }
      ],
      "warningLimit": 1,
      "fixedShippingRateOnly": false,
      "fixedShippingRate": 0,
      "shipping": {
        "type": "GLOBAL_METHODS",
        "methodMarkup": 0,
        "flatRate": 0,
        "disabledMethods": [],
        "enabledMethods": []
      },
      "defaultCombinationId": 0,
      "imageUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4493679702.jpg",
      "smallThumbnailUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4493679701.jpg",
      "hdThumbnailUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4493679703.jpg",
      "originalImageUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4493679700.jpg",
      "originalImage": {
        "url": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4493679700.jpg",
        "width": 683,
        "height": 512
      },
      "borderInfo": {
        "dominatingColor": {
          "red": 129,
          "green": 96,
          "blue": 73,
          "alpha": 255
        },
        "homogeneity": false
      },
      "description": "",
      "descriptionTranslated": {
        "cs": "",
        "en": ""
      },
      "galleryImages": [],
      "media": {
        "images": [
          {
            "id": "0",
            "isMain": true,
            "orderBy": 0,
            "image160pxUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4493679701.jpg",
            "image400pxUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4493679704.jpg",
            "image800pxUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4493679703.jpg",
            "image1500pxUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4493679702.jpg",
            "imageOriginalUrl": "https://d2j6dbq0eux0bg.cloudfront.net/images/1003/4493679700.jpg",
            "alt": {
              "main": "alt_tag",
              "translated": {
                "en": "alt_tag",
                "cz": "alt_tag_cz"
              }
            }
          }
        ],
        "videos": []
      },
      "categoryIds": [],
      "categories": [],
      "defaultCategoryId": 0,
      "seoTitle": "Best Pizza",
      "seoTitleTranslated": {
        "cs": "",
        "en": "Best Pizza"
      },
      "seoDescription": "",
      "seoDescriptionTranslated": {
        "cs": "",
        "en": ""
      },
      "favorites": {
        "count": 0,
        "displayedCount": "0"
      },
      "attributes": [],
      "files": [],
      "relatedProducts": {
        "productIds": [],
        "relatedCategory": {
          "enabled": false,
          "categoryId": 0,
          "productCount": 5
        }
      },
      "combinations": [
        {
          "id": 421616046,
          "combinationNumber": 2,
          "options": [
            {
              "name": "Size",
              "nameTranslated": {
                "cs": "",
                "en": "Size"
              },
              "value": "32",
              "valueTranslated": {
                "cs": "",
                "en": "32"
              }
            }
          ],
          "inStock": true,
          "unlimited": true,
          "attributes": [],
          "defaultDisplayedPrice": 70,
          "defaultDisplayedPriceFormatted": "€70,00",
          "dimensions": {
            "length": 0,
            "width": 0,
            "height": 0
          },
          "volume": 0,
          "outOfStockVisibilityBehaviour": "SHOW",
          "lowestPrice": 50,
          "defaultDisplayedLowestPrice": 50,
          "defaultDisplayedLowestPriceFormatted": "€50,00",
          "lowestPriceSettings": {
            "lowestPriceEnabled": true
          },
          "alt": {
            "main": "alt_tag",
            "translated": {
              "cz": "alt_tag_cz",
              "en": "alt_tag"
            }
          }
        },
        {
          "id": 421616047,
          "combinationNumber": 1,
          "options": [
            {
              "name": "Size",
              "nameTranslated": {
                "cs": "",
                "en": "Size"
              },
              "value": "28",
              "valueTranslated": {
                "cs": "",
                "en": "28"
              }
            }
          ],
          "inStock": true,
          "unlimited": true,
          "attributes": [],
          "defaultDisplayedPrice": 60,
          "defaultDisplayedPriceFormatted": "€60,00",
          "dimensions": {
            "length": 0,
            "width": 0,
            "height": 0
          },
          "volume": 0,
          "outOfStockVisibilityBehaviour": "SHOW",
          "lowestPrice": 50,
          "defaultDisplayedLowestPrice": 50,
          "defaultDisplayedLowestPriceFormatted": "€50,00",
          "lowestPriceSettings": {
            "lowestPriceEnabled": true
          },
          "alt": {
            "main": "alt_tag",
            "translated": {
              "cz": "alt_tag_cz",
              "en": "alt_tag"
            }
          }
        }
      ],
      "dimensions": {
        "length": 0,
        "width": 0,
        "height": 0
      },
      "shippingPreparationTime": {},
      "showDeliveryTimeInStorefront": false,
      "volume": 0,
      "showOnFrontpage": 10,
      "isSampleProduct": false,
      "googleItemCondition": "NEW",
      "isGiftCard": false,
      "discountsAllowed": true,
      "nameYourPriceEnabled": false,
      "subscriptionSettings": {
        "subscriptionAllowed": false,
        "oneTimePurchaseAllowed": true,
        "recurringChargeSettings": [
          {
            "recurringInterval": "MONTH",
            "recurringIntervalCount": 1
          }
        ]
      },
      "googleProductCategory": 412,
      "googleProductCategoryName": "Food, Beverages & Tobacco",
      "productCondition": "NEW",
      "outOfStockVisibilityBehaviour": "SHOW"
    }
  ]
}
```

</details>

### Required access scopes

Your app must have the following **access scopes** to make this request: `read_catalog`

### Path params

All path params are required.

| Param   | Type   | Description     |
| ------- | ------ | --------------- |
| storeId | number | Ecwid store ID. |

### Query params

All query params are optional.

<table><thead><tr><th width="204">Param</th><th width="112">Type</th><th>Description</th></tr></thead><tbody><tr><td>productId</td><td>number</td><td>Internal IDs of Ecwid products separated by a comma. <br><br>If this field is specified, other search parameters are ignored.</td></tr><tr><td>sku</td><td>string</td><td>Product or variation SKU. Ecwid will return details of a product containing that SKU, if SKU value is an exact match. If SKU is specified, other search parameters are ignored, except for product ID.</td></tr><tr><td>keyword</td><td>string</td><td><p></p><p>Search term. Add <code>*</code> at the end of the keyword to disable the exact match search. Search supports any language enabled in the store and specified in the <code>lang</code> param.<br>Supported fields:</p><ul><li><code>name</code></li><li><code>description</code></li><li><code>SKU</code> (including variations SKU)</li><li><code>options</code></li><li><code>category</code> name</li><li><code>gallery</code> image descriptions</li><li><code>attributes</code> values (except for hidden attributes). Any special characters must be URI-encoded.</li></ul></td></tr><tr><td>searchMethod</td><td>string</td><td><p>Extension to <code>keyword</code>.<br><br>One of:</p><p><code>STOREFRONT</code> – emulates search on the storefront</p><p><code>CP</code> – emulates search in Ecwid admin</p></td></tr><tr><td>externalReferenceId</td><td>string</td><td>Product ID in linked POS. Includes both product IDs and product variation IDs.</td></tr><tr><td>category</td><td>string</td><td>Search term for finding products assigned to a specific category by its ID.</td></tr><tr><td>categories</td><td>string</td><td>Search term for finding products assigned to specified category IDs. For example: <code>0,123456,138470508</code>.</td></tr><tr><td>includeProductsFromSubcategories</td><td>boolean</td><td>Set <code>true</code> to get products from the subcategories of specified categories.</td></tr><tr><td>priceFrom</td><td>number</td><td>Minimum product price.</td></tr><tr><td>priceTo</td><td>number</td><td>Maximum product price.</td></tr><tr><td>createdFrom</td><td>number/string</td><td>Product creation date/time (lower bound). Supported formats: UNIX timestamp, datetime. <br><br>Examples: <code>1447804800</code>, <code>2023-01-15 19:27:50</code></td></tr><tr><td>createdTo</td><td>number/string</td><td>Product creation date/time (upper bound). Supported formats: UNIX timestamp, datetime. <br><br>Examples: <code>1447804800</code>, <code>2023-01-15 19:27:50</code></td></tr><tr><td>updatedFrom</td><td>number/string</td><td>Product creation date/time (lower bound). Supported formats: UNIX timestamp, date/time. <br><br>Examples: <code>1447804800</code>, <code>2023-01-15 19:27:50</code></td></tr><tr><td>updatedTo</td><td>number/string</td><td>Product creation date/time (upper bound). Supported formats: UNIX timestamp, date/time. <br><br>Examples: <code>1447804800</code>, <code>2023-01-15 19:27:50</code></td></tr><tr><td>sortBy</td><td>string</td><td><p>Sort order for found products. <br><br>One of:</p><p><code>RELEVANCE</code> (default)<br><code>DEFINED_BY_STORE_OWNER</code><br><code>ADDED_TIME_DESC</code><br><code>ADDED_TIME_ASC</code><br><code>NAME_ASC</code><br><code>NAME_DESC</code><br><code>PRICE_ASC</code><br><code>PRICE_DESC</code><br><code>UPDATED_TIME_ASC</code><br><code>UPDATED_TIME_DESC</code></p><p><br>When <code>category</code> search term is set, <code>DEFINED_BY_STORE_OWNER</code> is used automatically.</p></td></tr><tr><td>enabled</td><td>boolean</td><td>Set <code>true</code> to get only enabled products.<br>Set <code>false</code> to get only disabled products.</td></tr><tr><td>isGiftCard</td><td>boolean</td><td>Set <code>true</code> to get gift cards only.<br>Set <code>false</code> to receive gift cards only.</td></tr><tr><td>inStock</td><td>boolean</td><td>Set <code>true</code> to get only in-stock products.<br>Set <code>false</code> to get only out-of-stock products.</td></tr><tr><td>discountsAllowed</td><td>boolean</td><td>Set <code>true</code> to get only products with allowed discounts.<br>Set <code>false</code> to get only products where discounts are not allowed.</td></tr><tr><td>visibleInStorefront</td><td>boolean</td><td>Set <code>true</code> to get only products visible on the storefront.<br>Set <code>false</code> to get only hidden products.</td></tr><tr><td>isCustomerSetPrice</td><td>boolean</td><td>Set <code>true</code> to get only products with customer-defined prices.<br>Set <code>false</code> to get only products without customer-defined prices.</td></tr><tr><td>onsale</td><td>string</td><td>Set <code>onsale</code> to get only items currently on sale.<br>Set <code>notonsale</code> to get only items currently not on sale.</td></tr><tr><td>inventory</td><td>string</td><td>Set <code>instock</code> to get only in-stock products.<br>Set <code>outofstock</code> to get only out-of-stock products.</td></tr><tr><td>baseUrl</td><td>string</td><td>Set base URL for URLs in response. <br><br>If not specified, Ecwid will use the main URL from store settings.</td></tr><tr><td>cleanUrls</td><td>boolean</td><td>Set <code>true</code> to force receiving clean URLs – catalog links without hashbang (<code>/#!/</code>). <br><br>By default Ecwid checks if this setting is enabled for the store and responds with matching URLs.</td></tr><tr><td>slugsWithoutIds</td><td>boolean</td><td>Set <code>true</code>to receive product page slugs without IDs. <br><br>By default Ecwid checks if this setting is enabled for the store and responds with matching URLs.</td></tr><tr><td>option_{optionName}={optionValue}</td><td>string</td><td><p>Filter by product option name and one or several comma-separated values for that option. A product will appear in the response if it has an option with a specified name that has any of the specified values.<br></p><p>For example, a product has an option named <code>Size</code> with three values <code>24</code>, <code>26</code>, and <code>30</code>. Then the following search term will find the product: <code>option_Size=24,22</code>. Even when the product doesn't have an option value <code>22</code>.</p></td></tr><tr><td>attribute_{attributeName}={attributeValue}</td><td>string</td><td><p>Filter by product attribute name and one or several comma-separated values for that attribute. A product will appear in the response if it has an attribute with a specified name that has any of the specified values.</p><p><br>For example, a product has an attribute named <code>Brand</code> with an <code>Ecwid</code> value. Then the following search term will find the product: <code>attribute_Brand=Ecwid,Lightspeed</code>. Even when the product doesn't have a <code>Lightspeed</code> attribute value.</p></td></tr><tr><td>externalReferenceId</td><td>string</td><td>Search term for product ID from the connected POS system (Lightspeed X/R series).</td></tr><tr><td>enabledManualTaxes</td><td>string</td><td>ID of an enabled manual tax. Supports multiple values, for example, <code>1117939042,4892697021</code> and the <code>none</code> value to search for the products with no enabled taxes.<br><br>For example, you can filter products with <em>no enabled taxes or a manual tax</em> with a query param like <code>?enabledManualTaxes=none,1117939042</code>.</td></tr><tr><td>taxClassCodes</td><td>string</td><td>List of tax class codes. Find tax classes and their codes in the <a href="../dictionaries/tax-classes-by-country">dictionary</a>.</td></tr><tr><td>offset</td><td>number</td><td><p>Offset from the beginning of the returned items list. Used when the response contains more items than <code>limit</code> allows to receive in one request.<br><br>Usually used to receive all items in several requests with multiple of a hundred, for example:</p><p><code>?offset=0</code> for the first request,</p><p><code>?offset=100</code>, for the second request,</p><p><code>?offset=200</code>, for the third request, etc</p></td></tr><tr><td>limit</td><td>number</td><td>Limit to the number of returned items. Maximum and default value (if not specified) is <code>100</code>.</td></tr><tr><td>responseFields</td><td>string</td><td>Limit JSON response by specific fields. If specified, all missing fields will be removed from the response body.<br><br>Example: <code>?responseFields=total,items(id,name,price,quantity)</code></td></tr></tbody></table>

Example of using `responseFields` param:

{% tabs %}
{% tab title="Request" %}

```
curl --location 'https://app.ecwid.com/api/v3/1003/orders?responseFields=total,items(id,email,total)' \
--header 'Authorization: Bearer secret_ab***cd'
```

{% endtab %}

{% tab title="Response" %}

```
{
    "total": 2,
    "items": [
        {
            "id": 692730761,
            "name": "Toys",
            "price": 10
        },
        {
            "id": 689454040,
            "name": "Best Pizza",
            "price": 50
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Headers

The **Authorization** header is required.

<table><thead><tr><th>Header</th><th width="252">Format</th><th>Description</th></tr></thead><tbody><tr><td>Authorization</td><td><code>Bearer secret_ab***cd</code></td><td>Access token of the application.</td></tr></tbody></table>

### Response JSON

A JSON object with the following fields:

| Field  | Type                             | Description                                                                                  |
| ------ | -------------------------------- | -------------------------------------------------------------------------------------------- |
| total  | number                           | Total number of found items (might be more than the number of returned items).               |
| count  | number                           | Total number of items returned in the response.                                              |
| offset | number                           | Offset from the beginning of the returned items list specified in the request.               |
| limit  | number                           | Maximum number of returned items specified in the request. Maximum and default value: `100`. |
| items  | array of objects [items](#items) | Detailed information about returned products.                                                |

#### items

| Field                                                  | Type                                                         | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| ------------------------------------------------------ | ------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                                                     | number                                                       | Internal unique product ID.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| sku                                                    | string                                                       | Product SKU. Items with options can have several SKUs specified in the product variations.                                                                                                                                                                                                                                                                                                                                                                                                                             |
| quantity                                               | number                                                       | <p>Amount of product items in stock. </p><p></p><p>If the product has unlimited stock (<code>unlimited</code> is <code>true</code>), this field is not returned.</p>                                                                                                                                                                                                                                                                                                                                                   |
| unlimited                                              | boolean                                                      | Defines if the product has unlimited stock.                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| inStock                                                | boolean                                                      | Defines if the product or any of its variations are in stock (`quantity` is more than `0`).                                                                                                                                                                                                                                                                                                                                                                                                                            |
| name                                                   | string                                                       | Product name visible on the storefront.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| nameTranslated                                         | object [#translations](#translations "mention")              | Available translations for the product name.                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| price                                                  | number                                                       | Base product price without any modifiers.                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| priceInProductList                                     | number                                                       | <p>Product price as it's shown on the storefront. <br><br>May differ from <code>price</code>  if pre-selected product options or variations modify the price. <br><br><strong>Does not include taxes</strong></p>                                                                                                                                                                                                                                                                                                      |
| defaultDisplayedPrice                                  | number                                                       | <p>Product price as it's shown on the storefront for logged out customers with default location (store location). <br><br>pre-selected product options or variations modify the price. <br><br><strong>Includes taxes</strong></p>                                                                                                                                                                                                                                                                                     |
| defaultDisplayedPriceFormatted                         | string                                                       | <p>Formatted variant (curency symbol and delimeter settings) of <code>defaultDisplayedPrice</code> based on the store's format settings.<br><br>For example, <code>€11,00</code></p>                                                                                                                                                                                                                                                                                                                                   |
| costPrice                                              | number                                                       | Purchase price of the product in the specific order used for reports and profit calculations.                                                                                                                                                                                                                                                                                                                                                                                                                          |
| tax                                                    | object tax                                                   | Detailed information about product's taxes.                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| wholesalePrices                                        | array of objects [wholesalePrices](#wholesaleprices)         | Sorted list of wholesale price tiers: "minimum quantity = price" pairs.                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| compareToPrice                                         | number                                                       | Product pre-sale price with the same value as specified in Ecwid admin (without taxes), e.g. `40`.                                                                                                                                                                                                                                                                                                                                                                                                                     |
| compareToPriceFormatted                                | string                                                       | <p>Formatted display of <code>compareToPrice</code> with a currency symbol, e.g. <code>€44,00</code>.</p><p>Includes taxes when a store uses net prices (prices don't include taxes). Displayed as strikethrough price on the storefront.</p>                                                                                                                                                                                                                                                                          |
| compareToPriceDiscount                                 | number                                                       | Discount from the sale price, e.g. `-11`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| compareToPriceDiscountFormatted                        | string                                                       | Formatted discount from the sale price, e.g. `€11,00`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| compareToPriceDiscountPercent                          | number                                                       | Discount percent from the sale price, e.g. `-25`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| compareToPriceDiscountPercentFormatted                 | string                                                       | Sale price discount percent (with percent sign), e.g. `-25%`.                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| defaultDisplayedCompareToPrice                         | number                                                       | Product pre-sale price including taxes, e.g. `44`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| defaultDisplayedCompareToPriceFormatted                | string                                                       | <p>Formatted display of <code>compareToPrice</code> with a currency symbol, e.g. <code>€44,00</code>. <br><br>Includes taxes when a store uses net prices. Displayed as strikethrough price on the storefront.</p>                                                                                                                                                                                                                                                                                                     |
| defaultDisplayedCompareToPriceDiscount                 | number                                                       | Discount from the sale price, e.g. `-11`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| defaultDisplayedCompareToPriceDiscountFormatted        | string                                                       | Formatted discount from the sale price, e.g. `€11,00`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| defaultDisplayedCompareToPriceDiscountPercent          | number                                                       | Discount percent from the sale price, e.g. `-25`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| defaultDisplayedCompareToPriceDiscountPercentFormatted | string                                                       | Sale price discount percent (with percent sign), e.g. `-25%`.                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| lowestPriceSettings                                    | object [lowestPriceSettings](#lowestpricesettings)           | <p>Product lowest price settings for EU stores.<br><br>Read more on lowes price settings in <a href="https://support.ecwid.com/hc/en-us/articles/9382914337820-Lowest-product-price-before-discounting">Help Center</a>.</p>                                                                                                                                                                                                                                                                                           |
| isShippingRequired                                     | boolean                                                      | Defines if the product requires shipping.                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| weight                                                 | number                                                       | <p>Product weight in the units defined in store settings.<br><br>If the product doesn't have weight, this field is not returned.</p>                                                                                                                                                                                                                                                                                                                                                                                   |
| url                                                    | string                                                       | <p>Link to the product details page on the storefront. <br><br>It is affected by page slug settings: <code>customSlug</code> has the highest priority, and if it's empty <code>automgeneratedSlug</code> is used.</p>                                                                                                                                                                                                                                                                                                  |
| autogeneratedSlug                                      | string                                                       | <p>Page slug generated for the product page URL automatically.<br><br>If the product doesn't have custom slug, this field will be automatically updated whe the product's name is changed.</p>                                                                                                                                                                                                                                                                                                                         |
| customSlug                                             | string                                                       | Custom slug defined by the store owner. Affects product page URL.                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| created                                                | string                                                       | <p>Datetime of the product creation. <br><br>For example: <code>2024-07-30 10:32:37 +0000</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                   |
| updated                                                | string                                                       | <p>Datetime of the latest product change whether it was API call or a change made through Ecwid admin.  <br><br>For example: <code>2024-07-30 10:32:37 +0000</code></p>                                                                                                                                                                                                                                                                                                                                                |
| createTimestamp                                        | number                                                       | <p>UNIX timestamp of the product creation. <br><br>For example: 1427268654</p>                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| updateTimestamp                                        | number                                                       | <p>UNIX timestamp of the latest product change whether it was API call or a change made through Ecwid admin.  <br><br>For example: 1427268654</p>                                                                                                                                                                                                                                                                                                                                                                      |
| productClassId                                         | number                                                       | <p>ID of the product class that affects attributes management. <br><br>If it's <code>0</code> the product belongs to the default "General" class. <br><br>Read more on product types and attributes in <a href="https://support.ecwid.com/hc/en-us/articles/207807495-Product-types-and-attributes">Help Center</a>.</p>                                                                                                                                                                                               |
| enabled                                                | boolean                                                      | <p>Defines if the product is enabled and visible on the storefront.<br><br>If <code>false</code>, the product can't be opened on the storefront or added to the cart.</p>                                                                                                                                                                                                                                                                                                                                              |
| options                                                | array of objects [options](#options)                         | <p>Detailed list of product options. <br><br>Empty (<code>\[]</code>) if no options are specified for the product.</p>                                                                                                                                                                                                                                                                                                                                                                                                 |
| warningLimit                                           | number                                                       | Minimum amount of products in stock to trigger an automated "low stock" email notification for the store owner.                                                                                                                                                                                                                                                                                                                                                                                                        |
| fixedShippingRateOnly                                  | boolean                                                      | <p><strong>Legacy feature</strong> – see <code>shipping</code> field instead.<br><br><code>true</code> if shipping cost for this product is calculated as <em>'Fixed rate per item'</em> (managed under the "Tax and Shipping" section of the product management page in Ecwid Control panel). <code>false</code> otherwise. <br><br>With this option on, the <code>fixedShippingRate</code> field specifies the shipping cost of the product.</p>                                                                     |
| fixedShippingRate                                      | number                                                       | <p><strong>Legacy feature</strong> – see <code>shipping</code> field instead. <br><br>When <code>fixedShippingRateOnly</code> is <code>true</code>, this field sets the product fixed shipping cost per item. <br><br>When <code>fixedShippingRateOnly</code> is <code>false</code>, the value in this field is treated as an extra shipping cost the product adds to the global calculated shipping</p>                                                                                                               |
| shipping                                               | object [shipping](#shipping)                                 | Shipping settings specific to the product.                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| defaultCombinationId                                   | number                                                       | Identifier of the default product variation, which is defined by the default values of product options.                                                                                                                                                                                                                                                                                                                                                                                                                |
| originalImage                                          | object [originalImage](#originalimage)                       | Details about product main image.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| galleryImages                                          | object [galleryImages](#galleryimages)                       | Details about product gallery images (for updating alt tags and sort order).                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| description                                            | string                                                       | <p>Product description in HTML format.<br><br>Scripts inside product descriptions are not supported.</p>                                                                                                                                                                                                                                                                                                                                                                                                               |
| descriptionTranslated                                  | object [translations](#translations)                         | Available translations for the product description.                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| media                                                  | object [media](#media)                                       | Details about product images and videos.                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| categoryIds                                            | array of numbers                                             | List of the category IDs the product belongs to.                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| categories                                             | array [categories](#categories)                              | Detailed list of the category IDs the product belongs to.                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| defaultCategoryId                                      | number                                                       | Default category ID of the product. If value is `0`, then product does not have a default category and is not shown anywhere in storefront                                                                                                                                                                                                                                                                                                                                                                             |
| seoTitle                                               | string                                                       | <p>Page title for search engines.<br><br>Recommended length < 55 characters.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| seoTitleTranslated                                     | object [translations](#translations)                         | Translations for the SEO page title.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| seoDescription                                         | string                                                       | <p>Page description for search engines. <br><br>Recommended length < 160 characters.</p>                                                                                                                                                                                                                                                                                                                                                                                                                               |
| seoDescriptionTranslated                               | object [translations](#translations)                         | Translations for the SEO page description.                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| favorites                                              | object [favorites](#favorites)                               | Stats showing how many times the product was added to favorites on the storefront.                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| attributes                                             | array of objects [attributes](#attributes)                   | List of product attributes and their values.                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| files                                                  | array of objects [files](#files)                             | Details about downloadable files attached to the product.                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| relatedProducts                                        | object [relatedProducts](#relatedproducts)                   | List of related products displayed as "You may also like" products of the product.                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| combinations                                           | array of objects [combinations](#combinations)               | Details about product variations.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| dimensions                                             | object [dimensions](#dimensions)                             | Product's dimensions.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| volume                                                 | number                                                       | Product volume for calculations shipping costs, fractional number, `0` by default.                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| showOnFrontpage                                        | number                                                       | Product index on the main storefront page starting with `1`.                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| subscriptionSettings                                   | object [subscriptionSettings](#subscriptionsettings)         | Internal details for subscription products. Only available for payment methods developed by Ecwid team.                                                                                                                                                                                                                                                                                                                                                                                                                |
| isSampleProduct                                        | boolean                                                      | <p>Defines sample product created by Ecwid.<br><br>Sample products are unavailable for purchase.</p>                                                                                                                                                                                                                                                                                                                                                                                                                   |
| isGiftCard                                             | boolean                                                      | Defines if a product is a gift card.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| subtitle                                               | string                                                       | Small product description visible on category and product pages under the product title.                                                                                                                                                                                                                                                                                                                                                                                                                               |
| subtitleTranslated                                     | object [translations](#translations)                         | Available translations for product subtitles.                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| discountsAllowed                                       | boolean                                                      | Defines if Ecwid can apply discounts to the product.                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| externalReferenceId                                    | string                                                       | <p>External ID for products synced from external services, for example, POS.<br><br>This ID is unique for each product in one store.</p>                                                                                                                                                                                                                                                                                                                                                                               |
| outOfStockVisibilityBehaviour                          | boolean                                                      | <p>Defines if a product is visible and/or can be pre-ordered when out-of-stock. <br><br>Requires enabled pre-orders on the store level: <code>allowPreordersForOutOfStockProducts</code> setting in <code>/profile</code> endpoint.<br><br>Supported values:<br><code>SHOW</code> - Show out-of-stock products, but adding them to the cart is impossible.<br><code>HIDE</code> - Hide out-of-stock products.<br><code>ALLOW\_PREORDER</code> - Show out-of-stock products and allow them to be added to the cart.</p> |
| minPurchaseQuantity                                    | number                                                       | <p>Sets minimum product purchase quantity.<br><br> Default value is <code>null</code>.</p>                                                                                                                                                                                                                                                                                                                                                                                                                             |
| maxPurchaseQuantity                                    | number                                                       | <p>Sets maximum product purchase quantity. <br><br>Default value is <code>null</code>.</p>                                                                                                                                                                                                                                                                                                                                                                                                                             |
| reviewsCollectingAllowed                               | boolean                                                      | When `true`, allows to collect, check, and publish reviews for this product in store.                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| rating                                                 | number                                                       | Average rating from product reviews.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| reviewsPublished                                       | number                                                       | Number of reviews published by the store owner.                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| reviewsModerated                                       | number                                                       | Number of reviews waiting for store owner's approval.                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| compositeParents                                       | array of numbers                                             | List of composite product IDs that this product is a component of.                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| compositeComponents                                    | array of objects [compositeComponents](#compositecomponents) | List of products/variations that turn this product into a "composite product".                                                                                                                                                                                                                                                                                                                                                                                                                                         |

#### favorites

| Field          | Type   | Description                                                                                                                                                        |
| -------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| count          | number | Total count the product was added to favorites on the storefront.                                                                                                  |
| displayedCount | string | <p>The number of likes visible on the storefront. <br><br>May differ from the <code>count</code> exceeds 1000 - it will show 1K instead of the precise number.</p> |

#### wholesalePrices

<table><thead><tr><th>Field</th><th width="128">Type</th><th>Description</th></tr></thead><tbody><tr><td>quantity</td><td>number</td><td>Number of product items on this wholesale tier.</td></tr><tr><td>price</td><td>number</td><td>Product price on the tier.</td></tr></tbody></table>

#### lowestPriceSettings

<table><thead><tr><th>Field</th><th width="142">Type</th><th>Description</th></tr></thead><tbody><tr><td>lowestPriceEnabled</td><td>boolean</td><td>Defines if the lowest price is enabled for the product and shown on the storefront.</td></tr><tr><td>manualLowestPrice</td><td>number</td><td>Manually entered lowest price for the last 30 days before any discounts or taxes applied.</td></tr><tr><td>defaultDisplayedManualLowestPrice</td><td>number</td><td><code>manualLowestPrice</code> with taxes applied.</td></tr><tr><td>defaultDisplayedManualLowestPriceFormatted</td><td>string</td><td>Formatted display of <code>defaultDisplayedManualLowestPrice</code> using store format settings.</td></tr><tr><td>automaticLowestPrice</td><td>number</td><td>Automatically calculated lowest price for the last 30 days before any discounts or taxes applied. <br><br><strong>Read-only</strong></td></tr><tr><td>defaultDisplayedAutomaticLowestPrice</td><td>number</td><td><code>automaticLowestPrice</code> with taxes applied. <br><br><strong>Read-only</strong></td></tr><tr><td>defaultDisplayedAutomaticLowestPriceFormatted</td><td>string</td><td>Formatted display of <code>defaultDisplayedAutomaticLowestPrice</code> using store format settings. <br><br><strong>Read-only</strong></td></tr></tbody></table>

#### options

<table><thead><tr><th width="239.4765625">Field</th><th width="168.546875">Type</th><th>Description</th></tr></thead><tbody><tr><td>type</td><td>string</td><td><p>Option type that defines its functionality.<br><br>One of:</p><p><code>SELECT</code> - Drop-down list with several options. Users can select only one of the options provided.</p><p><code>RADIO</code>  - Radio buttons. Users can select only one of the options provided.</p><p><code>CHECKBOX</code>  - Checkbox options. Users can select several options at the same time.</p><p><code>TEXTFIELD</code> - Single-line text input field.</p><p><code>TEXTAREA</code> - Multi-lines text input field.</p><p><code>DATE</code> - Date and time selector.</p><p><code>FILES</code> - File uploader for users.</p><p><code>SIZE</code> - Selector for the <strong>product sizes</strong>. Works the same way as radio buttons.</p><p><code>SWATCHES</code> - Selector for the <strong>product colors</strong>. Works the same way as radio buttons.</p></td></tr><tr><td>name</td><td>string</td><td>Product option name. For example: <code>Color</code> or <code>Size</code>.</td></tr><tr><td>nameTranslated</td><td>object <a href="#translations">translations</a></td><td>Available translations for product option name.</td></tr><tr><td>choices</td><td>array of objects <a href="#choices">choices</a></td><td>List of available option choices for users.<br><br>Only works for the following option types: <code>SELECT</code>, <code>CHECKBOX</code>, <code>RADIO</code>, <code>SIZE</code>, or <code>SWATCHES</code>.</td></tr><tr><td>defaultChoice</td><td>number</td><td>Index of the option's default selection. Can be <code>null</code> (no default option), otherwise starts with <code>0</code>. <br><br>Only works for the following option types: <code>SELECT</code>, <code>CHECKBOX</code>, <code>RADIO</code>, <code>SIZE</code>, or <code>SWATCHES</code>.</td></tr><tr><td>required</td><td>boolean</td><td>Defines if this option is required to add product to the cart.</td></tr><tr><td>useImageAsSwatchSelector</td><td>boolean</td><td><p>Display mode for the color swatches option. Only works with <code>SWATCHES</code> option type.</p><p></p><p>One of:</p><ul><li><code>true</code> - show specific product images when a user choses different color at the storefront.</li><li><code>false</code> - show color swatches defines as hex codes when user chooses different color at the storefront.</li></ul></td></tr></tbody></table>

#### choices

<table><thead><tr><th width="161.3125">Field</th><th width="162.484375">Type</th><th>Description</th></tr></thead><tbody><tr><td>text</td><td>string</td><td>Text displayed near the option choise or as it at the storefront. For example, a text near the radio button or a checkbox, choice name in the dropdown list, etc.</td></tr><tr><td>textTranslated</td><td>object <a href="#translations">translations</a></td><td>Available translations for choice's <code>text</code> field.</td></tr><tr><td>priceModifier</td><td>number</td><td>Value of the option's price markup. <br><br>Positive, negative (in case the option reduces the pice) and zero values are allowed. Default is <code>0</code></td></tr><tr><td>priceModifierType</td><td>string</td><td><p>Option markup calculation type.<br><br>One of:</p><p><code>PERCENT</code> - price modifier applied as a percent increase to the product price.</p><p><code>ABSOLUTE</code> - price modifier applied as an absolute increase to the product price (default).</p></td></tr><tr><td>hexCodes</td><td>array of strings</td><td><p>List of HEX codes. </p><p></p><p>Defines what color must be displayed when user changes color in the <code>SWATCHES</code> option, for example: <code>["#fff000"]</code>.<br><br>Requires <code>useImageAsSwatchSelector</code> to be <code>true</code>.</p></td></tr><tr><td>changeTime</td><td>number</td><td>UNIX timestamp of the latest change in the product option.</td></tr><tr><td>imageId</td><td>string</td><td>Internal ID of the product image.<br><br>Defines what product image must be displayed when user changes color in the <code>SWATCHES</code> option. <br><br>Requires <code>useImageAsSwatchSelector</code> to be <code>true</code>.</td></tr></tbody></table>

#### shipping

<table><thead><tr><th>Field</th><th width="160">Type</th><th>Description</th></tr></thead><tbody><tr><td>type</td><td>string</td><td>One of: <code>"GLOBAL_METHODS"</code>, <code>"SELECTED_METHODS"</code>, <code>"FLAT_RATE"</code>, <code>"FREE_SHIPPING"</code>. <code>"GLOBAL_METHODS"</code> – all standard shipping methods set up in store settings; <code>"SELECTED_METHODS"</code> – <br><br>Ecwid will use <code>enabledMethods</code> and <code>disabledMethods</code> list to make shipping calculations; <code>"FLAT_RATE"</code> – sets flat rate for product's shipping, see <code>flatRate</code> field.</td></tr><tr><td>methodMarkup</td><td>number</td><td>Additional product shipping cost added to any shipping methods.</td></tr><tr><td>flatRate</td><td>number</td><td>Flat rate cost for shipping the product. If set, shipping costs for it will not be calculated.</td></tr><tr><td>disabledMethods</td><td>array of strings</td><td>IDs of shipping methods that need to be excluded from calculation when this product is in cart. <br><br>Full list of shipping method IDs is available thorugh the <a href="ref:store-profile">Store profile</a> call.</td></tr><tr><td>enabledMethods</td><td>array of strings</td><td>IDs of shipping methods which will only be shown when this product is in cart. No other shipping methods will be shown.<br><br>Full list of shipping method IDs is available thorugh the <a href="ref:store-profile">Store profile</a> call.</td></tr></tbody></table>

#### originalImage

<table><thead><tr><th>Field</th><th width="120">Type</th><th>Description</th></tr></thead><tbody><tr><td>url</td><td>string</td><td>Link to the full-size main product image.</td></tr><tr><td>width</td><td>number</td><td>Width of the full-size main product image in px.</td></tr><tr><td>height</td><td>number</td><td>Height of the full-size main product image in px.</td></tr></tbody></table>

#### galleryImages

<table><thead><tr><th>Field</th><th width="189">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>number</td><td>Internal ID for the gallery image.</td></tr><tr><td>url</td><td>string</td><td>Link to the gallery image image.</td></tr><tr><td>thumbnail</td><td>string</td><td>Link to the gallery image thumbnail resized to fit 160x160px container.</td></tr><tr><td>originalImageUrl</td><td>string</td><td>Link to the full-sized gallery image.</td></tr><tr><td>imageUrl</td><td>string</td><td>Link to the gallery image  resized to fit 1200x1200px container.</td></tr><tr><td>hdThumbnailUrl</td><td>string</td><td>Link to the gallery image thumbnail resized to fit 800x800px container.</td></tr><tr><td>thumbnailUrl</td><td>string</td><td>Link to the gallery image thumbnail resized to fit 400x400px container.</td></tr><tr><td>smallThumbnailUrl</td><td>string</td><td>Link to the gallery image thumbnail resized to fit 160x160px container.</td></tr><tr><td>width</td><td>number</td><td>Width of the full-sized gallery image in px.</td></tr><tr><td>height</td><td>number</td><td>Height of the full-sized gallery image in px.</td></tr><tr><td>orderBy</td><td>number</td><td>Consecutive number of an image in the gallery. <br><br>Starts with <code>0</code> for the first image, then iterates by 1.</td></tr><tr><td>borderInfo</td><td>object <a href="#borderinfo">borderInfo</a></td><td>Details about image border added at the storefront.</td></tr></tbody></table>

#### borderInfo

| Field           | Type                                       | Description                         |
| --------------- | ------------------------------------------ | ----------------------------------- |
| dominatingColor | object [dominatingColor](#dominatingcolor) | Border color in RGBa format.        |
| homogeneity     | boolean                                    | Defines if an image is homogeneous. |

#### dominatingColor

<table><thead><tr><th>Field</th><th width="139">Type</th><th>Description</th></tr></thead><tbody><tr><td>red</td><td>number</td><td>Red channel (from 0 to 255, RGB).</td></tr><tr><td>green</td><td>number</td><td>Green channel (from 0 to 255, RGB).</td></tr><tr><td>blue</td><td>number</td><td>Blue channel (from 0 to 255, RGB).</td></tr><tr><td>alpha</td><td>number</td><td>Alpha channel (from 0 to 255).</td></tr></tbody></table>

#### media

| Field  | Type                               | Description                   |
| ------ | ---------------------------------- | ----------------------------- |
| images | array of objects [images](#images) | Details about product images. |
| videos | array of objects [videos](#videos) | Details about product videos. |

#### images

<table><thead><tr><th>Field</th><th width="146">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>string</td><td>Internal image ID in a string format. Starts with <code>"0"</code> and interates by 1.</td></tr><tr><td>alt</td><td>object <a href="#alt">alt</a></td><td>Image description for the "alt" HTML attribute and its translations.</td></tr><tr><td>orderBy</td><td>number</td><td>Consecutive number of an image in the gallery.<br><br>Do not use for sorting. Use <code>galleryImages[]</code> > <code>orderBy</code> instead.</td></tr><tr><td>isMain</td><td>boolean</td><td>Defines the main product image (if <code>true</code>).</td></tr><tr><td>image160pxUrl</td><td>string</td><td>Link to the product image resized to fit 160x160px.</td></tr><tr><td>image400pxUrl</td><td>string</td><td>Link to the product image resized to fit 400x400px.</td></tr><tr><td>image800pxUrl</td><td>string</td><td>Link to the product image resized to fit 800x800px</td></tr><tr><td>image1500pxUrl</td><td>string</td><td>Link to the product image resized to fit 1500x1500px</td></tr><tr><td>imageOriginalUrl</td><td>string</td><td>Link to the full-sized product image.</td></tr><tr><td>externalId</td><td>string</td><td>Image ID for Lightspeed R-Series/X-Series image sync. <br><br><strong>Read-only</strong></td></tr></tbody></table>

#### alt

<table><thead><tr><th>Field</th><th width="182">Type</th><th>Description</th></tr></thead><tbody><tr><td>main</td><td>string</td><td>Image description for the "alt" HTML attribute of the image.</td></tr><tr><td>translations</td><td>object <a href="#translations">translations</a></td><td>Available translations for the "alt" text.</td></tr></tbody></table>

#### videos

<table><thead><tr><th>Field</th><th width="146">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>number</td><td>Internal video ID. Starts with <code>"0"</code> and interates by 1.</td></tr><tr><td>videoCoverId</td><td>number</td><td>Internal ID of the video cover image.</td></tr><tr><td>url</td><td>boolean</td><td>Link to the video file.</td></tr><tr><td>embedHtml</td><td>string</td><td>Video embedding code in HTML.</td></tr><tr><td>providerName</td><td>string</td><td>Video hosting provider name.</td></tr><tr><td>title</td><td>string</td><td>Video title.</td></tr><tr><td>image160pxUrl</td><td>string</td><td>Link to the video cover image resized to fit 160x160px container.</td></tr><tr><td>image400pxUrl</td><td>string</td><td>Link to the video cover image resized to fit 400x400px container. </td></tr><tr><td>image800pxUrl</td><td>string</td><td>Link to the video cover image resized to fit 800x800px container.</td></tr><tr><td>image1500pxUrl</td><td>string</td><td>Link to the video cover image resized to fit 1500x1500px container.</td></tr><tr><td>imageOriginalUrl</td><td>string</td><td>Link to the full-sized video cover image.</td></tr></tbody></table>

#### compositeComponents

| Field         | Type   | Description                                                             |
| ------------- | ------ | ----------------------------------------------------------------------- |
| productId     | number | ID of the product in this composite product.                            |
| combinationId | number | ID of the product variation in this composite product.                  |
| quantity      | number | Quantity of the product or product variation in this composite product. |

#### categories

| Field          | Type    | Description                                                                                                                                 |
| -------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| id             | number  | Internal category ID.                                                                                                                       |
| name           | string  | Category name.                                                                                                                              |
| nameTranslated | string  | Translated category name. Uses first non-default store language if possible. Otherwise, copies category name in the default store language. |
| enabled        | boolean | Defines if the category is enabled.                                                                                                         |

#### attributes

<table><thead><tr><th>Field</th><th width="185">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>number</td><td>Internal attribute ID. </td></tr><tr><td>name</td><td>string</td><td>Attribute name visible on the storefront.</td></tr><tr><td>nameTranslated</td><td>object <a href="#translations">translations</a></td><td>Available translations for the attribute name.</td></tr><tr><td>value</td><td>string</td><td>Value of the attribute for this product.</td></tr><tr><td>valueTranslated</td><td>object <a href="#translations">translations</a></td><td>Available translations for the attribute value.</td></tr><tr><td>type</td><td>string</td><td>Attribute type. There are user-defined attributes, general attributes and attributes pre-defined by Ecwid, for example, "price per unit". <br><br>One of:<br><code>CUSTOM</code><br><code>UPC</code><br><code>BRAND</code><br><code>GENDER</code><br><code>AGE_GROUP</code><br><code>COLOR</code><br><code>SIZE</code><br><code>PRICE_PER_UNIT</code><br><code>UNITS_IN_PRODUCT</code></td></tr><tr><td>show</td><td>string</td><td>Defines if an attribute is visible on a product page. <br><br>One of:<br><code>NOTSHOW</code> - Not visible.<br><code>DESCR</code> - Visible under the product description.<br><code>PRICE</code> - Visible under the product price</td></tr></tbody></table>

#### files

| Field       | Type   | Description                                                                                                                                                                                                                                                                                                             |
| ----------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id          | number | Internal ID of the file attached to the product.                                                                                                                                                                                                                                                                        |
| name        | string | File name visible to clients.                                                                                                                                                                                                                                                                                           |
| description | string | File description visible to clients.                                                                                                                                                                                                                                                                                    |
| size        | number | File size in bytes (64-bit integer).                                                                                                                                                                                                                                                                                    |
| adminUrl    | string | <p>Direct link to the file.<br><br><strong>Important</strong>: to download the file, add your API access token to this URL like this: <code><https://app.ecwid.com/api/v3/4870020/products/37208340/files/7215102?token=YOUR-API-TOKEN></code><br><br><strong>Do not share links containing access tokens.</strong></p> |

#### relatedProducts

| Field           | Type                                       | Description                                                       |
| --------------- | ------------------------------------------ | ----------------------------------------------------------------- |
| productIds      | array of numbers                           | List of related product IDs.                                      |
| relatedCategory | object [relatedCategory](#relatedcategory) | Describes the "N random related products from a category" option. |

#### relatedCategory

| Field        | Type    | Description                                                                                                  |
| ------------ | ------- | ------------------------------------------------------------------------------------------------------------ |
| enabled      | boolean | Defines if the "N random related products from a category" option is enabled.                                |
| categoryId   | number  | <p>ID of the related category. <br><br>Empty value means that related products can be from any category.</p> |
| productCount | number  | Number of random products from the given category.                                                           |

#### combinations

| Field                                | Type                                                       | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ------------------------------------ | ---------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| id                                   | number                                                     | Internal ID for the product variation.                                                                                                                                                                                                                                                                                                                                                                                                                       |
| combinationNumber                    | number                                                     | <p>Ordered variation number displayed in Ecwid admin.<br><br>Starts with <code>1</code> and iterates by 1.</p>                                                                                                                                                                                                                                                                                                                                               |
| options                              | array of objects [options (variation)](#options-variation) | Set of selected product option values that identify this variation.                                                                                                                                                                                                                                                                                                                                                                                          |
[...]
